import { request } from 'umi';
import { getDataBaseUrl,getStoremanagement } from '@/global_data';


  //获取模板
export async function GetPrinterTemplater(data) {
  return request(getStoremanagement()+`/api/Printer/GetPrinterTemplater`, {
    method: 'get',
    data: data,
  });
}
  //新增
  export async function  AddprinterTemplater(data) {
    return request(getStoremanagement()+`/api/Printer/AddPrinterTemplate`, {
      method: 'post',
      data: data,
    });
  }

   //修改
   export async function  UpdatePrinterTemplater(data) {
    return request(getStoremanagement()+`/api/Printer/UpdatePrinterTemplate`, {
      method: 'put',
      data: data,
    });
  }

  //删除模板
export async function DelPrinterTemplater(data) {
  return request(getStoremanagement()+`/api/Printer/DelPrinterTemplater`, {
    method: 'DELETE',
    data: data,
  });
}
